/*--------------------------------------------------------------------*/
/*  This file contains sample code.  IBM PROVIDES THIS CODE ON AN     */
/*  'AS IS' BASIS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS        */
/*  OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES  */
/*  OF MERCHANT ABILITY OR FITNESS FOR A PARTICULAR PURPOSE.          */
/*                                                                    */
/*  (C) Copyright IBM Corp. 1998, 2000                                */
/*--------------------------------------------------------------------*/
package com.ibm.etill.kitcashcassette;

public interface KitCashAccountConstants
{
  public static final String KITCASHACCOUNTS_TABLE = "KITCASHACCOUNTS";
  public static final String KITCASHACCOUNTS_VIEW = "KITCASHACCTSVIEW";

  // Some of these column names purposely match the Payment Manager column names
  // in the ETACCOUNTCFG table.
  public static final String COL_MERCHANTNUMBER  = "MERCHANTNUMBER";
  public static final String COL_ACCOUNTNAME     = "ACCOUNTNAME";
  public static final String COL_ACCOUNTNUMBER   = "ACCOUNTNUMBER";
  public static final String COL_BANKNAME        = "BANKNAME";
  public static final String COL_BANKHOSTNAME    = "BANKHOSTNAME";
  public static final String COL_BANKPORT        = "BANKPORT";
  public static final String COL_BATCHNUMBER     = "BATCHNUMBER";

  // KitCash defines a view on the KITCASHACCOUNTS table that can be used by the
  // XDM to retrieve data in union with Payment Manager on queries.

  public static final String VIEW_MERCHANTNUMBER    = "MERCHANTNUMBER";
  public static final String VIEW_ACCOUNTNUMBER     = "ACCOUNTNUMBER";
  public static final String VIEW_ACCOUNTNAME       = "ACCOUNTNAME";
  public static final String VIEW_BANKNAME          = "BANKNAME";
  public static final String VIEW_BANKHOSTNAME      = "BANKHOSTNAME";
  public static final String VIEW_BANKPORT          = "BANKPORT";
  public static final String VIEW_BATCHNUMBER       = "BATCHNUMBER";

  // XDM propertyIDs.  These must match what is in the PSPL for KitCash.
  public static final String XDM_BANKHOSTNAME       = "bankhostname";
  public static final String XDM_BANKPORT           = "bankport";
}
