 // This file is 100% machine generated.  ** Do Not Edit! 

package com.ibm.etill.kitcashcassette;

import com.ibm.etill.framework.payapi.PaymentAPIConstants;
import com.ibm.etill.framework.supervisor.FSM;
import com.ibm.etill.framework.payapi.ETillAbortOperation;
import com.ibm.etill.kitcashcassette.test.card.KitCashConstants;

public interface KitCashFSMConstants
{
  /**********************************************************************************
    STATE DEFINITIONS
   *********************************************************************************/
  /** The initial state for the finite state machine*/
  public final int Start = 0;
  
  /** PaymentRequested is the state where an purchase request has been made by a consumer, but the consumer has not yet authorized the payment.*/
  public final int PaymentRequested = 1;
  
  /** PaymentPending is the state where the consumer has authorized a payment, but the KitCash payment protocol flow has not yet concluded.*/
  public final int PaymentPending = 2;
  
  /** PaymentReceived is the state where the payment flow has concluded successfully and the consumer's money has transferred from the consumer's KitCash card to the merchant's KitCash card.*/
  public final int PaymentReceived = 3;
  
  /** PaymentAddedToBatch is the state where the payment has been added to a batch of payments ready to be transferred to the bank.*/
  public final int PaymentAddedToBatch = 4;
  
  /** PaymentComplete is the state where the payment associated with this purchase has been successfully transferred to the bank.*/
  public final int PaymentComplete = 5;
  
  /** ErrorState is the state where an error has occurred during the processing of the purchase.*/
  public final int ErrorState = 6;
  
  /** No State Change  */
  public final int NO_STATE_CHANGE = 7;
  
  /**********************************************************************************
    STATE DEBUG STRINGS
   *********************************************************************************/
  public String [] stateStrings =
  {
    "Start",
    "PaymentRequested",
    "PaymentPending",
    "PaymentReceived",
    "PaymentAddedToBatch",
    "PaymentComplete",
    "ErrorState",
    "NO_STATE_CHANGE",
    "INVALID_STATE"
  };
  
  /**********************************************************************************
    INPUT DEFINITIONS
   *********************************************************************************/
  /** ReceivePayment is the input sent to the finite state machine when the Merchant sends a RECEIVEPAYMENT API request to the Payment Server.*/
  public final int ReceivePayment = PaymentAPIConstants.RECEIVEPAYMENT_TOKEN;
  
  /** KitCashMsg is the input sent to the finite state machine when a protocol message arrives from the KitCash wallet.*/
  public final int KitCashMsg = KitCashConstants.CASHMSG_TOKEN;
  
  /** EndOfConsumerFlow is the input sent to the finite state machine when the merchant's KitCash card drvier signifies that the KitCash protocol flow has ended.*/
  public final int EndOfConsumerFlow = KitCashConstants.END_TOKEN;
  
  /** Error is the input sent to the finite state machine when the merchant's KitCash card driver signifies that the KitCash protocol flow ended in error.*/
  public final int Error = KitCashConstants.ERROR_TOKEN;
  
  /** The Deposit input is sent to the finite state machine when the KitCash protocol flow has concluded successfully.*/
  public final int Deposit = PaymentAPIConstants.DEPOSIT_TOKEN;
  
  /** BatchClosed is sent to the finite state machine when the account and the batch have been closed (and the payment has been sent to the KitCash bank).*/
  public final int BatchClosed = KitCashConstants.BATCH_CLOSED_TOKEN;
  
  /** Close order is sent to the finite state machine when the batch has been settled (closed) to delete the order from the database.*/
  public final int OrderClosed = PaymentAPIConstants.CLOSEORDER_TOKEN;
  
  public final int INVALID_INPUT = -1;
  /**********************************************************************************
    ACTION DEFINITIONS
   *********************************************************************************/
  /** Sends the KitCash wallet applet tag back to the merchant. */
  public final int SendInitiationMsg = 0;
  
  /** Receives a KitCash protocol message from the consumer and returns a response KitCash protocol message. Records on the database that the order and payment are pending.*/
  public final int StartPayment = 1;
  
  /** Receives a KitCash protocol message from the wallet and returns a response KitCash protocol message. Queries the merchant's KitCash card driver to determine whether the payment has concluded or not. Records the current state on the database.*/
  public final int ContinuePayment = 2;
  
  /** Records on the database that the purchase object has been added to a batch of payments to be transferred to the bank.*/
  public final int MarkPaymentForDeposit = 3;
  
  /** Records on the database that the payment associated with this purchase has been successfully transferred\ to the bank.*/
  public final int MarkPaymentAsComplete = 4;
  
  /** Records on the database that the KitCash protocol flow has completed successfully and that the consumer's money has been transffered to the merchant's KitCash card.*/
  public final int MarkPaymentAsReceived = 5;
  
  /** Reports that an error has occurred during processing.*/
  public final int ReportError = 6;
  
  /** Closes a settled order.*/
  public final int CloseOrder = 7;
  
  /** The input and state have evaluated in a way that should never happen. */
  public final int UNREACHABLE_STATE_ACTION = 8;
  
  /**********************************************************************************
    ACTION DEBUG STRINGS
   *********************************************************************************/
  public String [] actionStrings =
  {
    "SendInitiationMsg",
    "StartPayment",
    "ContinuePayment",
    "MarkPaymentForDeposit",
    "MarkPaymentAsComplete",
    "MarkPaymentAsReceived",
    "ReportError",
    "CloseOrder",
    "UNREACHABLE_STATE_ACTION"
  };
  
}
